/**
 * Credit: https://github.com/tailwindlabs/headlessui/
 */
export declare function disposables(): {
    requestAnimationFrame(callback: FrameRequestCallback): void;
    nextFrame(callback: FrameRequestCallback): void;
    setTimeout(handler: TimerHandler, timeout?: number | undefined, ...arguments: any[]): void;
    add(cb: () => void): void;
    dispose(): void;
};
