import { AfterViewInit, ElementRef, OnDestroy, TemplateRef } from "@angular/core";
import { MenuItemDataRef } from "./menu-item.data-ref";
export declare class MenuItemComponent implements AfterViewInit, OnDestroy {
    menu: any;
    private elementRef;
    template: TemplateRef<any>;
    set disabled(value: boolean | string | undefined);
    _disabled: boolean;
    id: string;
    dataRef: MenuItemDataRef;
    constructor(menu: any, elementRef: ElementRef);
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    get active(): boolean;
    handleClick(event: MouseEvent): void;
    handleFocus(): any;
    handlePointerMove(): void;
    handlePointerLeave(): void;
}
