import { ElementRef, EventEmitter, TemplateRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
export declare class SwitchComponent implements ControlValueAccessor {
    switchGroup: any;
    id: string;
    value: boolean;
    templateRef: TemplateRef<any>;
    change: EventEmitter<boolean>;
    propagateChange: (_: any) => void;
    constructor(switchGroup: any, elementRef: ElementRef);
    toggle(): void;
    handleClick(event: MouseEvent): void;
    handleKeyUp(event: KeyboardEvent): void;
    handleKeyPress(event: KeyboardEvent): void;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
}
